/*------------------------------------------------------*
 | Author: Maurizio Loreti, aka MLO or (HAM) I3NOO      |
 | Work:   University of Padova - Department of Physics |
 |         Via F. Marzolo, 8 - 35131 PADOVA - Italy     |
 | Phone:  +39 (049) 827-7216   FAX: +39 (049) 827-7102 |
 | EMail:  loreti@padova.infn.it                        |
 | WWW:    http://wwwcdf.pd.infn.it/~loreti/mlo.html    |
 *------------------------------------------------------*

                      File: statfun.h

 $Id: statfun.h,v 1.2 2004/10/07 09:00:20 loreti Exp $

 *------------------------------------------------------------------*/

#define MAXIT         100       /* Iterazioni (funzioni gamma)       */
#define ITMAX         100       /* Iterazioni (funzioni beta)        */
#define EPS           3.0E-7    /* Accuratezza del risultato iterato */
#define FPMIN         1.0E-30   /* Controllo di underflow            */
#define KS_ITER       200       /* Test di Kolmogorov e Smirnov:     */
#define KS_EPS1       0.0001    /*   numero massimo di iterazioni,   */
#define KS_EPS2       1.0e-8    /*     ed accuratezza.               */

/**
 | Prototipi delle funzioni accessibili dall'esterno
**/

#ifndef HAVE_GSL
double betai(double, double, double);
double erf(double);
double gammp(double, double);
double gammq(double, double);
#endif /* HAVE_GSL */

double probks(double);
