/*------------------------------------------------------*
 | Author: Maurizio Loreti, aka MLO or (HAM) I3NOO      |
 | Work:   University of Padova - Department of Physics |
 |         Via F. Marzolo, 8 - 35131 PADOVA - Italy     |
 | Phone:  +39 (049) 827-7216   FAX: +39 (049) 827-7102 |
 | EMail:  loreti@pd.infn.it                            |
 | WWW:    http://www.pd.infn.it/~loreti/mlo.html       |
 *------------------------------------------------------*

                      File: statmain.c

 $Id: statmain.c,v 1.2 2004/10/07 09:00:20 loreti Exp $

 *------------------------------------------------------------------*

 Questo programma calcola probabilita' in corrispondenza a svariate
 distribuzioni statistiche.

 I dati immessi vengono controllati, sia come grammatica (caratteri
 differenti da quelli consentiti) che come validita' (come esempio,
 un numero di gradi di liberta' deve essere un intero positivo).

 Piu' dati sulla stessa riga devono essere separati DA SPAZI.

 E' considerata la possibilita' dell'uso della libreria GNU readline,
 che facilita l'immissione dei dati; sia consentendo di editare
 l'input prima di premere <CR>, sia consentendo l'uso dei tasti con le
 frecce per spostarsi nell'input o per richiamare linee immesse in
 precedenza.  Per questo basta definire, per il preprocessore, il
 simbolo HAVE_READLINE.  Per maggiori informazioni, consultare la URL
 http://directory.fsf.org/readline.html .

 E' inoltre considerata la possibilita' di usare la GNU Scientific
 Library (GSL), che contiene versioni portabili di tutte le funzioni
 necessarie per i calcoli delle distribuzioni statistiche possibili
 (con la sola eccezione della funzione di probabilita' per il test di
 Kolmogorov e Smirnov); comunque, se questo non fosse possibile, le
 procedure necessarie sono fornite nel file "statfun.c".  Per questo
 basta definire, per il preprocessore, il simbolo HAVE_GSL.  Per
 maggiori informazioni, consultare http://www.gnu.org/software/gsl/ .

 *------------------------------------------------------------------*/

#include <stdio.h>
#include <math.h>
#include "ststuff.h"

/**
 | Variabili globali:
 | - buffer: temporaneo di lettura
**/

char buffer[BUF_LEN];

int main()
{
  for (;;) {
    int i;

    puts("\n\tScegli la distribuzione (o <EOF> per uscire):\n");
    puts("\t1 - Binomiale\t\t5 - Student");
    puts("\t2 - Poisson\t\t6 - Fisher");
    puts("\t3 - Gauss\t\t7 - Kolmogorov & Smirnov");
    puts("\t4 - Chi-quadro\n");

    if ((i = readint("* ? ", 7)) == 0) break;

    switch (i) {
      case 1: bernoulli(); break;
      case 2: poisson();   break;
      case 3: gauss();     break;
      case 4: chi();       break;
      case 5: student();   break;
      case 6: fisher();    break;
      case 7: kolsmi();    break;
    }
  }

  puts("\n\nCiao");
  return 0;
}
