/*------------------------------------------------------*
 | Author: Maurizio Loreti, aka MLO or (HAM) I3NOO      |
 | Work:   University of Padova - Department of Physics |
 |         Via F. Marzolo, 8 - 35131 PADOVA - Italy     |
 | Phone:  +39 (049) 827-7216   FAX: +39 (049) 827-7102 |
 | EMail:  loreti@padova.infn.it                        |
 | WWW:    http://wwwcdf.pd.infn.it/~loreti/mlo.html    |
 *------------------------------------------------------*

                      File: ststuff.h

 $Id: ststuff.h,v 1.2 2004/10/07 09:00:20 loreti Exp $

 *------------------------------------------------------------------*/

#define BUF_LEN       128       /* Lunghezza del buffer di lettura */
#define POISSON_LIMIT 0.999996  /* Dove terminare il calcolo       */
#define BINOM_LIMIT   30        /* Massimo N ammissibile           */

/**
 | Usato per controllare che l'ultimo dei campi numerici in ingresso
 | termini o su whitespace o su fine riga; "pc" e' un "char *" che
 | punta al primo carattere dopo l'ultimo convertito.
**/

#define LAST_FIELD    (isspace((unsigned char) *pc)   ||   *pc == '\0')

/**
 | Prototipi delle funzioni accessibili dall'esterno
**/

void bernoulli(void);               /* Funzioni statistiche */
void chi(void);
void fisher(void);
void gauss(void);
void kolsmi(void);
void poisson(void);
void student(void);

int readint(const char *, int);     /* Lettura controllata */
